Eclipse Platform Release 3.7

## org.eclipse.jface.viewers
Interface ILabelProviderListener

All Known Implementing Classes:
  TabbedPropertySheetPage

    public interface ILabelProviderListener

A listener which is notified when a label provider's state changes.

See Also:
  `IBaseLabelProvider.addListener(org.eclipse.jface.viewers.ILabelProviderListener)`, `IBaseLabelProvider.removeListener(org.eclipse.jface.viewers.ILabelProviderListener)`

Method Summary
`void` `labelProviderChanged(LabelProviderChangedEvent event)` Notifies this listener that the state of the label provider has changed in a way that affects the labels it computes.

Method Detail

### labelProviderChanged

    void labelProviderChanged(LabelProviderChangedEvent event)

  Notifies this listener that the state of the label provider has changed in a way that affects the labels it computes.

  A typical response would be to refresh all labels by re-requesting them from the label provider.

  Parameters:
    `event` - the label provider change event

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.